com.amazonaws.services.simpleworkflow.model

## Class WorkflowTypeInfo

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.WorkflowTypeInfo

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkflowTypeInfo
    extends Object
    implements Serializable, Cloneable

Contains information about a workflow type.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkflowTypeInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowTypeInfo` `clone()`
`boolean` `equals(Object obj)`
`Date` `getCreationDate()` The date when this type was registered.
`Date` `getDeprecationDate()` If the type is in deprecated state, then it is set to the date when the type was deprecated.
`String` `getDescription()` The description of the type registered through RegisterWorkflowType.
`String` `getStatus()` The current status of the workflow type.
`WorkflowType` `getWorkflowType()` The workflow type this information is about.
`int` `hashCode()`
`void` `setCreationDate(Date creationDate)` The date when this type was registered.
`void` `setDeprecationDate(Date deprecationDate)` If the type is in deprecated state, then it is set to the date when the type was deprecated.
`void` `setDescription(String description)` The description of the type registered through RegisterWorkflowType.
`void` `setStatus(RegistrationStatus status)` The current status of the workflow type.
`void` `setStatus(String status)` The current status of the workflow type.
`void` `setWorkflowType(WorkflowType workflowType)` The workflow type this information is about.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkflowTypeInfo` `withCreationDate(Date creationDate)` The date when this type was registered.
`WorkflowTypeInfo` `withDeprecationDate(Date deprecationDate)` If the type is in deprecated state, then it is set to the date when the type was deprecated.
`WorkflowTypeInfo` `withDescription(String description)` The description of the type registered through RegisterWorkflowType.
`WorkflowTypeInfo` `withStatus(RegistrationStatus status)` The current status of the workflow type.
`WorkflowTypeInfo` `withStatus(String status)` The current status of the workflow type.
`WorkflowTypeInfo` `withWorkflowType(WorkflowType workflowType)` The workflow type this information is about.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowTypeInfo

    public WorkflowTypeInfo()

### Method Detail

#### setWorkflowType

    public void setWorkflowType(WorkflowType workflowType)

The workflow type this information is about.

Parameters:
  `workflowType` - The workflow type this information is about.

#### getWorkflowType

    public WorkflowType getWorkflowType()

The workflow type this information is about.

Returns:
  The workflow type this information is about.

#### withWorkflowType

    public WorkflowTypeInfo withWorkflowType(WorkflowType workflowType)

The workflow type this information is about.

Parameters:
  `workflowType` - The workflow type this information is about.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The current status of the workflow type.

Parameters:
  `status` - The current status of the workflow type.
See Also:
  `RegistrationStatus`

#### getStatus

    public String getStatus()

The current status of the workflow type.

Returns:
  The current status of the workflow type.
See Also:
  `RegistrationStatus`

#### withStatus

    public WorkflowTypeInfo withStatus(String status)

The current status of the workflow type.

Parameters:
  `status` - The current status of the workflow type.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RegistrationStatus`

#### setStatus

    public void setStatus(RegistrationStatus status)

The current status of the workflow type.

Parameters:
  `status` - The current status of the workflow type.
See Also:
  `RegistrationStatus`

#### withStatus

    public WorkflowTypeInfo withStatus(RegistrationStatus status)

The current status of the workflow type.

Parameters:
  `status` - The current status of the workflow type.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RegistrationStatus`

#### setDescription

    public void setDescription(String description)

The description of the type registered through RegisterWorkflowType.

Parameters:
  `description` - The description of the type registered through RegisterWorkflowType.

#### getDescription

    public String getDescription()

The description of the type registered through RegisterWorkflowType.

Returns:
  The description of the type registered through RegisterWorkflowType.

#### withDescription

    public WorkflowTypeInfo withDescription(String description)

The description of the type registered through RegisterWorkflowType.

Parameters:
  `description` - The description of the type registered through RegisterWorkflowType.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreationDate

    public void setCreationDate(Date creationDate)

The date when this type was registered.

Parameters:
  `creationDate` - The date when this type was registered.

#### getCreationDate

    public Date getCreationDate()

The date when this type was registered.

Returns:
  The date when this type was registered.

#### withCreationDate

    public WorkflowTypeInfo withCreationDate(Date creationDate)

The date when this type was registered.

Parameters:
  `creationDate` - The date when this type was registered.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeprecationDate

    public void setDeprecationDate(Date deprecationDate)

If the type is in deprecated state, then it is set to the date when the type was deprecated.

Parameters:
  `deprecationDate` - If the type is in deprecated state, then it is set to the date when the type was deprecated.

#### getDeprecationDate

    public Date getDeprecationDate()

If the type is in deprecated state, then it is set to the date when the type was deprecated.

Returns:
  If the type is in deprecated state, then it is set to the date when the type was deprecated.

#### withDeprecationDate

    public WorkflowTypeInfo withDeprecationDate(Date deprecationDate)

If the type is in deprecated state, then it is set to the date when the type was deprecated.

Parameters:
  `deprecationDate` - If the type is in deprecated state, then it is set to the date when the type was deprecated.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkflowTypeInfo clone()

Overrides:
  `clone` in class `Object`